org.gradle.api

## Interface Buildable

- All Known Subinterfaces:
    Binary, ConfigurableFileCollection, ConfigurableFileTree, ConfigurablePublishArtifact, Configuration, DependencySet, Executable, FileCollection, FileCollectionDependency, FileTree, Library, ProjectDependency, PublishArtifact, PublishArtifactSet, SelfResolvingDependency, SourceDirectorySet, SourceSetOutput

      public interface Buildable

  A `Buildable` represents an artifact or set of artifacts which are built by one or more `Task` instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskDependency` | `getBuildDependencies()` Returns a dependency which contains the tasks which build this artifact.

- - ### Method Detail

    - #### getBuildDependencies

          TaskDependency getBuildDependencies()

      Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
      Returns:
        The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any tasks.